CREATE TABLE I_PRINTFORMATITEM ( 
	I_PRINTFORMATITEM_ID	NUMBER(10)	NOT NULL,
	AD_PRINTFORMAT_ID	NUMBER(10),
	AD_CLIENT_ID		NUMBER(10)	NOT NULL,
	AD_ORG_ID		NUMBER(10)	NOT NULL,
	ISACTIVE		CHAR(1)		DEFAULT 'Y' NOT NULL,
	CREATED			DATE		DEFAULT SYSDATE NOT NULL,
	CREATEDBY		NUMBER(10)	NOT NULL,
	UPDATED			DATE		DEFAULT SYSDATE NOT NULL,
	UPDATEDBY		NUMBER(10)	NOT NULL,
	I_ISIMPORTED		CHAR(1)		DEFAULT 'N' NOT NULL,
	I_ERRORMSG		NVARCHAR2(200),
	PROCESSED		CHAR(1)		DEFAULT 'N',
	FORMATNAME		NVARCHAR2(120),
	ISTABLEBASED		CHAR(1)		DEFAULT 'Y' NOT NULL,
	ISFORM			CHAR(1)		DEFAULT 'N' NOT NULL,
	TABLENAME		NVARCHAR2(120),
	AD_TABLE_ID		NUMBER(10),
	PRINTPAPER		NVARCHAR2(120),
	AD_PRINTPAPER_ID	NUMBER(10),
	PRINTCOLOR		NVARCHAR2(120),
	AD_PRINTCOLOR_ID	NUMBER(10),
	PRINTFONT		NVARCHAR2(120),
	AD_PRINTFONT_ID		NUMBER(10),
	ISSTANDARDHEADERFOOTER	CHAR(1)		DEFAULT 'Y' NOT NULL,
	HEADERMARGIN		NUMBER(10),
	FOOTERMARGIN		NUMBER(10),
	AD_PRINTFORMATITEM_ID	NUMBER(10),
	ITEMNAME		NVARCHAR2(120),
	PRINTNAME		NVARCHAR2(200),
	ISPRINTED		CHAR(1)		DEFAULT 'Y' NOT NULL,
	PRINTAREATYPE		CHAR(1),
	SEQNO			NUMBER(10),
	PRINTFORMATTYPE		CHAR(1),
	COLUMNNAME		NVARCHAR2(120),
	AD_COLUMN_ID		NUMBER(10),
	PRINTFORMATCHILD	NVARCHAR2(120),
	AD_PRINTFORMATCHILD_ID	NUMBER(10),
	ISRELATIVEPOSITION	CHAR(1)		DEFAULT 'Y' NOT NULL,
	ISNEXTLINE		CHAR(1)		DEFAULT 'Y' NOT NULL,
	XSPACE			NUMBER(10),
	YSPACE			NUMBER(10),
	XPOSITION		NUMBER(10),
	YPOSITION		NUMBER(10),
	MAXWIDTH		NUMBER(10),
	ISHEIGHTONELINE		CHAR(1)		DEFAULT 'Y' NOT NULL,
	MAXHEIGHT		NUMBER(10),
	FIELDALIGNMENTTYPE	CHAR(1),
	LINEALIGNMENTTYPE	CHAR(1),
	ITEMCOLOR		NUMBER(10),
	ITEMFONT		NUMBER(10),
	ISORDERBY		CHAR(1)		DEFAULT 'N' NOT NULL,
	SORTNO			NUMBER(10),
	ISGROUPBY		CHAR(1)		DEFAULT 'N' NOT NULL,
	ISPAGEBREAK		CHAR(1)		DEFAULT 'N' NOT NULL,
	ISSUMMARIZED		CHAR(1)		DEFAULT 'N' NOT NULL,
	IMAGEISATTACHED		CHAR(1)		DEFAULT 'N' NOT NULL,
	IMAGEURL		NVARCHAR2(240),
	ISAVERAGED		CHAR(1)		DEFAULT 'N' NOT NULL,
	ISCOUNTED		CHAR(1)		DEFAULT 'N' NOT NULL,
	ISSETNLPOSITION		CHAR(1)		DEFAULT 'N' NOT NULL,
	ISSUPPRESSNULL		CHAR(1)		DEFAULT 'N' NOT NULL,
	BELOWCOLUMN		NUMBER(10),
	PRINTGRAPH		NVARCHAR2(120),
	AD_PRINTGRAPH_ID	NUMBER(10),
	ISFIXEDWIDTH		CHAR(1)		DEFAULT 'N' NOT NULL,
	ISNEXTPAGE		CHAR(1)		DEFAULT 'N' NOT NULL,
	PRINTNAMESUFFIX		NVARCHAR2(120),
	ISMINCALC		CHAR(1)		DEFAULT 'N' NOT NULL,
	ISMAXCALC		CHAR(1)		DEFAULT 'N' NOT NULL,
	ISRUNNINGTOTAL		CHAR(1)		DEFAULT 'N' NOT NULL,
	RUNNINGTOTALLINES	NUMBER(10),
	ISVARIANCECALC		CHAR(1)		DEFAULT 'N' NOT NULL,
	ISDEVIATIONCALC		CHAR(1)		DEFAULT 'N' NOT NULL,
	ISFILLEDRECTANGLE	CHAR(1)		DEFAULT 'N' NOT NULL,
	LINEWIDTH		NUMBER(10),
	ARCDIAMETER		NUMBER(10),
	SHAPETYPE		CHAR(1),
	ISCENTRALLYMAINTAINED	CHAR(1)		DEFAULT 'Y' NOT NULL,
	ISIMAGEFIELD		CHAR(1)		DEFAULT 'N' NOT NULL,
	BARCODETYPE		CHAR(3),
	PROCESSING		NVARCHAR2(10), 
	CONSTRAINT AS_PRINTFORMATITEM1_KEY PRIMARY KEY(I_PRINTFORMATITEM_ID) 
) 
/
